<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iTriggerFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iTriggerFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iTriggerFactory" --><!-- doxytag: inherits="iBase" -->
<p>A factory to create triggers.  
 <a href="structiTriggerFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="triggers_8h_source.html">tools/triggers.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iTriggerFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiTriggerFactory.png" usemap="#iTriggerFactory_map" alt=""/>
  <map id="iTriggerFactory_map" name="iTriggerFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,100,24"/>
</map>
 </div></div>

<p><a href="structiTriggerFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt; <a class="el" href="structiTrigger.html">iTrigger</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTriggerFactory.html#aa2238a069b18b012cbb97985dada10a9">CreateTrigger</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celParams</a> &amp;params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a trigger.  <a href="#aa2238a069b18b012cbb97985dada10a9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTriggerFactory.html#aefb88a6d48cf8835bf4fdf7d1bb4cee6">Load</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load this factory from a document node.  <a href="#aefb88a6d48cf8835bf4fdf7d1bb4cee6"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A factory to create triggers. </p>
<p>Trigger factories are created by an <a class="el" href="structiTriggerType.html" title="The trigger type is responsible for the creation of trigger factories.">iTriggerType</a> instance. </p>

<p>Definition at line <a class="el" href="triggers_8h_source.html#l00103">103</a> of file <a class="el" href="triggers_8h_source.html">triggers.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa2238a069b18b012cbb97985dada10a9"></a><!-- doxytag: member="iTriggerFactory::CreateTrigger" ref="aa2238a069b18b012cbb97985dada10a9" args="(const celParams &amp;params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt;<a class="el" href="structiTrigger.html">iTrigger</a>&gt; <a class="el" href="structiTriggerFactory.html#aa2238a069b18b012cbb97985dada10a9">iTriggerFactory::CreateTrigger</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celParams</a> &amp;&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a trigger. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">params</td><td>are the parameters with which this reward is instantiated. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aefb88a6d48cf8835bf4fdf7d1bb4cee6"></a><!-- doxytag: member="iTriggerFactory::Load" ref="aefb88a6d48cf8835bf4fdf7d1bb4cee6" args="(iDocumentNode *node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiTriggerFactory.html#aefb88a6d48cf8835bf4fdf7d1bb4cee6">iTriggerFactory::Load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load this factory from a document node. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">node</td><td>is the &lt;fireon&gt; node in a trigger description. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false on error (reporter is used to report). </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="triggers_8h_source.html">triggers.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
